KDE 4.9 PyKDE API Reference

- KDE's Python API

# ItemSerializerPluginV2 Class Reference

`from PyKDE4.akonadi import *`

Inherits: Akonadi.ItemSerializerPlugin
Namespace: Akonadi

## Detailed Description

The extended base class for item type serializer plugins.

Since:
  4.4

## Methods

| apply (self, Akonadi.Item item, Akonadi.Item other)
QSet<QByteArray> | availableParts (self, Akonadi.Item item)

## Method Documentation

apply | ( | self, |
|  | Akonadi.Item | item,
|  | Akonadi.Item | other
| ) |  |  |

Merges the payload parts in other into item.

The default implementation is slow as it requires serializing other, and deserializing item multiple times. Reimplementing this is recommended if your type uses payload parts.

Since:
  4.4

QSet<QByteArray> availableParts | ( | self, |
|  | Akonadi.Item | item
| ) |  |  |

Returns the parts available in the item item.

This should be reimplemented to return available parts.

The default implementation returns an empty set if the item has a payload, and a set containing Item.FullPayload if the item has no payload.

Since:
  4.4